/* MPROM Firmware Code version 1.0 (Flash-memory Read/Write codes)   */
/* programmed by M.yanagisawa(MoroboshiLUM)  elfin@mth.biglobe.ne.jp */
/* Copyright (c) 2000 by M.yanagisawa. All rigths reserved.          */

#ifdef __BORLANDC__

#include <stdio.h>
#include <dos.h>
#include <stdarg.h>
#include <string.h>
#include <ctype.h>
#include <conio.h>
#include <alloc.h>

#else

#include <stdrom.h>

#endif

#include "generic.h"
#include "flashlib.h"

BOOL Flash_Loaddata(LPFLASHBLOCK buf)
{
#ifndef __BORLANDC__
   union REGS i,o;
   struct SREGS sr;

   i.h.ah=FLASH_LOADDATA;
   i.x.di=FP_OFF(buf);
   sr.es=FP_SEG(buf);
   int86x(FLASHBIOS,&i,&o,&sr);
   if (o.x.ax) return(FALSE);
   else	       return(TRUE);
#else
   return(FALSE);
#endif
}

BOOL Flash_Savedata(LPFLASHBLOCK buf)
{
#ifndef __BORLANDC__
   union REGS i,o;
   struct SREGS sr;

   i.h.ah=FLASH_SAVEDATA;
   i.x.di=FP_OFF(buf);
   sr.es=FP_SEG(buf);
   int86x(FLASHBIOS,&i,&o,&sr);
   if (o.x.ax) return(FALSE);
   else	       return(TRUE);
#else
   return(FALSE);
#endif
}
