; ------------------------------------------------------------------------
;  GRAPHICS DATA LIBRARY
;  COPYRIGHT (C) 2000 BY M.YANAGISAWA(MoroboshiLUM)
; ------------------------------------------------------------------------
GRAPHICS_SEG	SEGMENT PARA PUBLIC 'ASMCODE'
	ASSUME CS:GRAPHICS_SEG,DS:GRAPHICS_SEG
;
; INREGS:
;  AX = IMAGE NUMBER
; OUTREGS:
;  IF ERROR THEN CX=BX=0
;           ELSE CX : WIDTH , BX : HEIGHT
;  DX:AX = IMAGE ADDRESS(FAR)
;
PUBLIC GrphDataInt
GrphDataInt	proc	far

		STI			;; !!!!
		PUSH	DS

		CMP	AX,_GRPHTBL_SIZE-1
		JA	@@Grphtbl_ERROR
		PUSH	CS
		POP	DS
		MOV	BX,AX
		SHL	BX,1
		MOV	SI,CS:_GRPHTBL[BX]
		CLD
		LODSW
		MOV	CX,AX
		LODSW
		MOV	BX,AX
		MOV	AX,SI
		MOV	DX,CS
		JMP	@@Grphtbl_OK
@@Grphtbl_ERROR:
		XOR	BX,BX
		XOR	CX,CX
@@Grphtbl_OK:
		POP	DS
		
		IRET

GrphDataInt	ENDP

_GRPHTBL	LABEL	WORD
	DW	OFFSET 	_IMAGE_0
	DW	OFFSET 	_IMAGE_1
	DW	OFFSET 	_IMAGE_2
	DW	OFFSET 	_IMAGE_3
	DW	OFFSET 	_IMAGE_4
	DW	OFFSET 	_IMAGE_5
	DW	OFFSET 	_IMAGE_6
	DW	OFFSET 	_IMAGE_7
	DW	OFFSET 	_IMAGE_8
	DW	OFFSET 	_IMAGE_9
	DW	OFFSET 	_IMAGE_COLON
	DW	OFFSET 	_IMAGE_MINUS
_GRPHTBL_BOTTOM	LABEL	WORD
	DW	-1

_GRPHTBL_SIZE	= (OFFSET _GRPHTBL_BOTTOM-OFFSET _GRPHTBL) / 2

;; NUMERIC 0
_IMAGE_0	LABEL	BYTE
	DW	32,48
	DB	000h, 00Fh, 0F0h, 000h
	DB	000h, 07Fh, 0FEh, 000h
	DB	000h, 0FFh, 0FFh, 000h
	DB	001h, 0FFh, 0FFh, 080h
	DB	003h, 0FFh, 0FFh, 0C0h
	DB	007h, 0FFh, 0FFh, 0E0h
	DB	00Fh, 0FFh, 0FFh, 0F0h
	DB	00Fh, 0FFh, 0FFh, 0F0h
	DB	01Fh, 0FCh, 03Fh, 0F8h
	DB	01Fh, 0F0h, 00Fh, 0F8h
	DB	01Fh, 0F0h, 00Fh, 0F8h
	DB	03Fh, 0E0h, 007h, 0FCh
	DB	03Fh, 0E0h, 007h, 0FCh
	DB	03Fh, 0E0h, 007h, 0FCh
	DB	03Fh, 0E0h, 003h, 0FCh
	DB	03Fh, 0C0h, 003h, 0FCh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FCh
	DB	03Fh, 0C0h, 007h, 0FCh
	DB	03Fh, 0E0h, 007h, 0FCh
	DB	03Fh, 0E0h, 007h, 0FCh
	DB	03Fh, 0E0h, 007h, 0FCh
	DB	01Fh, 0F0h, 00Fh, 0F8h
	DB	01Fh, 0F0h, 00Fh, 0F8h
	DB	01Fh, 0FCh, 03Fh, 0F8h
	DB	00Fh, 0FFh, 0FFh, 0F0h
	DB	00Fh, 0FFh, 0FFh, 0F0h
	DB	007h, 0FFh, 0FFh, 0E0h
	DB	003h, 0FFh, 0FFh, 0C0h
	DB	001h, 0FFh, 0FFh, 080h
	DB	000h, 0FFh, 0FFh, 000h
	DB	000h, 07Fh, 0FEh, 000h
	DB	000h, 00Fh, 0F0h, 000h
	DB	000h, 000h, 000h, 000h

;; NUMERIC 1
_IMAGE_1	LABEL	BYTE
	DW	32,48
	DB	000h, 000h, 000h, 000h
	DB	000h, 000h, 07Fh, 000h
	DB	000h, 000h, 0FFh, 000h
	DB	000h, 000h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 003h, 0FFh, 000h
	DB	000h, 003h, 0FFh, 000h
	DB	000h, 007h, 0FFh, 000h
	DB	000h, 00Fh, 0FFh, 000h
	DB	000h, 03Fh, 0FFh, 000h
	DB	000h, 07Fh, 0FFh, 000h
	DB	001h, 0FFh, 0FFh, 000h
	DB	007h, 0FFh, 0FFh, 000h
	DB	00Fh, 0FFh, 0FFh, 000h
	DB	00Fh, 0FFh, 0FFh, 000h
	DB	00Fh, 0FDh, 0FFh, 000h
	DB	00Fh, 0F9h, 0FFh, 000h
	DB	00Fh, 0F1h, 0FFh, 000h
	DB	00Fh, 0C1h, 0FFh, 000h
	DB	00Fh, 081h, 0FFh, 000h
	DB	00Eh, 001h, 0FFh, 000h
	DB	008h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 000h, 000h, 000h

;; NUMERIC 2
_IMAGE_2	LABEL	BYTE
	DW	32,48
	DB	000h, 000h, 000h, 000h
	DB	000h, 00Fh, 0F8h, 000h
	DB	000h, 03Fh, 0FFh, 000h
	DB	000h, 0FFh, 0FFh, 0C0h
	DB	001h, 0FFh, 0FFh, 0E0h
	DB	003h, 0FFh, 0FFh, 0F0h
	DB	007h, 0FFh, 0FFh, 0F8h
	DB	00Fh, 0FFh, 0FFh, 0FCh
	DB	00Fh, 0FFh, 0FFh, 0FCh
	DB	01Fh, 0FCh, 01Fh, 0FCh
	DB	01Fh, 0F8h, 007h, 0FEh
	DB	01Fh, 0F0h, 007h, 0FEh
	DB	03Fh, 0F0h, 003h, 0FEh
	DB	03Fh, 0E0h, 003h, 0FEh
	DB	03Fh, 0E0h, 003h, 0FEh
	DB	003h, 0E0h, 003h, 0FEh
	DB	000h, 000h, 003h, 0FEh
	DB	000h, 000h, 003h, 0FCh
	DB	000h, 000h, 007h, 0FCh
	DB	000h, 000h, 007h, 0FCh
	DB	000h, 000h, 00Fh, 0F8h
	DB	000h, 000h, 01Fh, 0F8h
	DB	000h, 000h, 03Fh, 0F0h
	DB	000h, 000h, 07Fh, 0F0h
	DB	000h, 000h, 0FFh, 0E0h
	DB	000h, 001h, 0FFh, 0C0h
	DB	000h, 003h, 0FFh, 080h
	DB	000h, 007h, 0FFh, 000h
	DB	000h, 00Fh, 0FEh, 000h
	DB	000h, 01Fh, 0FCh, 000h
	DB	000h, 03Fh, 0F8h, 000h
	DB	000h, 07Fh, 0F0h, 000h
	DB	000h, 0FFh, 0E0h, 000h
	DB	000h, 0FFh, 0C0h, 000h
	DB	001h, 0FFh, 080h, 000h
	DB	003h, 0FFh, 000h, 000h
	DB	007h, 0FEh, 000h, 000h
	DB	00Fh, 0FCh, 000h, 000h
	DB	00Fh, 0FFh, 0FFh, 0FEh
	DB	01Fh, 0FFh, 0FFh, 0FEh
	DB	01Fh, 0FFh, 0FFh, 0FEh
	DB	03Fh, 0FFh, 0FFh, 0FEh
	DB	03Fh, 0FFh, 0FFh, 0FEh
	DB	03Fh, 0FFh, 0FFh, 0FEh
	DB	07Fh, 0FFh, 0FFh, 0FEh
	DB	07Fh, 0FFh, 0FFh, 0FEh
	DB	07Fh, 0FFh, 0FFh, 0FEh
	DB	000h, 000h, 000h, 000h

;; NUMERIC 3
_IMAGE_3	LABEL	BYTE
	DW	32,48
	DB	000h, 00Fh, 0F0h, 000h
	DB	000h, 07Fh, 0FCh, 000h
	DB	001h, 0FFh, 0FFh, 000h
	DB	003h, 0FFh, 0FFh, 080h
	DB	007h, 0FFh, 0FFh, 0C0h
	DB	007h, 0FFh, 0FFh, 0E0h
	DB	00Fh, 0FFh, 0FFh, 0F0h
	DB	00Fh, 0FFh, 0FFh, 0F0h
	DB	01Fh, 0FCh, 03Fh, 0F0h
	DB	01Fh, 0F8h, 01Fh, 0F8h
	DB	03Fh, 0F0h, 00Fh, 0F8h
	DB	03Fh, 0F0h, 00Fh, 0F8h
	DB	03Fh, 0E0h, 00Fh, 0F8h
	DB	000h, 0E0h, 00Fh, 0F8h
	DB	000h, 000h, 00Fh, 0F8h
	DB	000h, 000h, 01Fh, 0F0h
	DB	000h, 000h, 01Fh, 0F0h
	DB	000h, 000h, 07Fh, 0E0h
	DB	000h, 003h, 0FFh, 0C0h
	DB	000h, 003h, 0FFh, 080h
	DB	000h, 003h, 0FFh, 000h
	DB	000h, 007h, 0FEh, 000h
	DB	000h, 007h, 0FFh, 080h
	DB	000h, 007h, 0FFh, 0E0h
	DB	000h, 007h, 0FFh, 0F0h
	DB	000h, 004h, 01Fh, 0F8h
	DB	000h, 000h, 00Fh, 0F8h
	DB	000h, 000h, 007h, 0FCh
	DB	000h, 000h, 007h, 0FCh
	DB	000h, 000h, 003h, 0FEh
	DB	000h, 000h, 003h, 0FEh
	DB	000h, 000h, 003h, 0FEh
	DB	003h, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0E0h, 003h, 0FEh
	DB	07Fh, 0E0h, 007h, 0FEh
	DB	03Fh, 0E0h, 007h, 0FCh
	DB	03Fh, 0F0h, 00Fh, 0FCh
	DB	03Fh, 0FCh, 03Fh, 0FCh
	DB	01Fh, 0FFh, 0FFh, 0F8h
	DB	01Fh, 0FFh, 0FFh, 0F8h
	DB	00Fh, 0FFh, 0FFh, 0F0h
	DB	007h, 0FFh, 0FFh, 0E0h
	DB	003h, 0FFh, 0FFh, 0C0h
	DB	001h, 0FFh, 0FFh, 000h
	DB	000h, 07Fh, 0FEh, 000h
	DB	000h, 00Fh, 0F0h, 000h
	DB	000h, 000h, 000h, 000h

;; NUMERIC 4
_IMAGE_4	LABEL	BYTE
	DW	32,48
	DB	000h, 000h, 000h, 000h
	DB	000h, 000h, 000h, 000h
	DB	000h, 000h, 03Fh, 0C0h
	DB	000h, 000h, 07Fh, 0C0h
	DB	000h, 000h, 0FFh, 0C0h
	DB	000h, 000h, 0FFh, 0C0h
	DB	000h, 001h, 0FFh, 0C0h
	DB	000h, 003h, 0FFh, 0C0h
	DB	000h, 003h, 0FFh, 0C0h
	DB	000h, 007h, 0FFh, 0C0h
	DB	000h, 00Fh, 0FFh, 0C0h
	DB	000h, 00Fh, 0FFh, 0C0h
	DB	000h, 01Fh, 0FFh, 0C0h
	DB	000h, 03Fh, 0FFh, 0C0h
	DB	000h, 03Fh, 0FFh, 0C0h
	DB	000h, 07Fh, 0FFh, 0C0h
	DB	000h, 0FFh, 0FFh, 0C0h
	DB	000h, 0FFh, 07Fh, 0C0h
	DB	001h, 0FEh, 07Fh, 0C0h
	DB	003h, 0FCh, 07Fh, 0C0h
	DB	003h, 0FCh, 07Fh, 0C0h
	DB	007h, 0F8h, 07Fh, 0C0h
	DB	00Fh, 0F0h, 07Fh, 0C0h
	DB	01Fh, 0F0h, 07Fh, 0C0h
	DB	01Fh, 0E0h, 07Fh, 0C0h
	DB	03Fh, 0C0h, 07Fh, 0C0h
	DB	07Fh, 0C0h, 07Fh, 0C0h
	DB	07Fh, 080h, 07Fh, 0C0h
	DB	0FFh, 000h, 07Fh, 0C0h
	DB	0FFh, 000h, 07Fh, 0C0h
	DB	0FFh, 0FFh, 0FFh, 0FFh
	DB	0FFh, 0FFh, 0FFh, 0FFh
	DB	0FFh, 0FFh, 0FFh, 0FFh
	DB	0FFh, 0FFh, 0FFh, 0FFh
	DB	0FFh, 0FFh, 0FFh, 0FFh
	DB	0FFh, 0FFh, 0FFh, 0FFh
	DB	0FFh, 0FFh, 0FFh, 0FFh
	DB	0FFh, 0FFh, 0FFh, 0FFh
	DB	000h, 000h, 07Fh, 0C0h
	DB	000h, 000h, 07Fh, 0C0h
	DB	000h, 000h, 07Fh, 0C0h
	DB	000h, 000h, 07Fh, 0C0h
	DB	000h, 000h, 07Fh, 0C0h
	DB	000h, 000h, 07Fh, 0C0h
	DB	000h, 000h, 07Fh, 0C0h
	DB	000h, 000h, 07Fh, 0C0h
	DB	000h, 000h, 07Fh, 0C0h
	DB	000h, 000h, 000h, 000h

;; NUMERIC 5
_IMAGE_5	LABEL	BYTE
	DW	32,48
	DB	000h, 000h, 000h, 000h
	DB	001h, 0FFh, 0FFh, 0FCh
	DB	001h, 0FFh, 0FFh, 0FCh
	DB	001h, 0FFh, 0FFh, 0FCh
	DB	003h, 0FFh, 0FFh, 0FCh
	DB	003h, 0FFh, 0FFh, 0FCh
	DB	003h, 0FFh, 0FFh, 0FCh
	DB	003h, 0FFh, 0FFh, 0FCh
	DB	003h, 0FFh, 0FFh, 0FCh
	DB	007h, 0FFh, 0FFh, 0FCh
	DB	007h, 0FCh, 000h, 000h
	DB	007h, 0FCh, 000h, 000h
	DB	007h, 0FCh, 000h, 000h
	DB	007h, 0FCh, 000h, 000h
	DB	00Fh, 0F8h, 000h, 000h
	DB	00Fh, 0F8h, 000h, 000h
	DB	00Fh, 0F9h, 0FCh, 000h
	DB	00Fh, 0FFh, 0FFh, 080h
	DB	00Fh, 0FFh, 0FFh, 0C0h
	DB	01Fh, 0FFh, 0FFh, 0E0h
	DB	01Fh, 0FFh, 0FFh, 0F0h
	DB	01Fh, 0FFh, 0FFh, 0F8h
	DB	01Fh, 0FFh, 0FFh, 0FCh
	DB	01Fh, 0FFh, 0FFh, 0FCh
	DB	03Fh, 0F8h, 01Fh, 0FEh
	DB	03Fh, 0F0h, 007h, 0FEh
	DB	003h, 0C0h, 003h, 0FEh
	DB	000h, 000h, 003h, 0FFh
	DB	000h, 000h, 001h, 0FFh
	DB	000h, 000h, 001h, 0FFh
	DB	000h, 000h, 001h, 0FFh
	DB	000h, 000h, 001h, 0FFh
	DB	007h, 080h, 001h, 0FFh
	DB	07Fh, 080h, 001h, 0FFh
	DB	07Fh, 0C0h, 001h, 0FFh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	03Fh, 0E0h, 007h, 0FEh
	DB	03Fh, 0F0h, 00Fh, 0FEh
	DB	03Fh, 0F8h, 01Fh, 0FCh
	DB	01Fh, 0FFh, 0FFh, 0FCh
	DB	00Fh, 0FFh, 0FFh, 0F8h
	DB	00Fh, 0FFh, 0FFh, 0F0h
	DB	007h, 0FFh, 0FFh, 0E0h
	DB	003h, 0FFh, 0FFh, 0C0h
	DB	001h, 0FFh, 0FFh, 080h
	DB	000h, 07Fh, 0FEh, 000h
	DB	000h, 00Fh, 0F8h, 000h
	DB	000h, 000h, 000h, 000h

;; NUMERIC 6
_IMAGE_6	LABEL	BYTE
	DW	32,48
	DB	000h, 007h, 0F8h, 000h
	DB	000h, 01Fh, 0FFh, 000h
	DB	000h, 07Fh, 0FFh, 080h
	DB	000h, 0FFh, 0FFh, 0C0h
	DB	003h, 0FFh, 0FFh, 0E0h
	DB	003h, 0FFh, 0FFh, 0F0h
	DB	007h, 0FFh, 0FFh, 0F0h
	DB	00Fh, 0FFh, 0FFh, 0F8h
	DB	00Fh, 0FCh, 03Fh, 0F8h
	DB	01Fh, 0F8h, 00Fh, 0F8h
	DB	01Fh, 0F0h, 00Fh, 0FCh
	DB	01Fh, 0E0h, 007h, 0FCh
	DB	03Fh, 0E0h, 007h, 0C0h
	DB	03Fh, 0C0h, 000h, 000h
	DB	03Fh, 0C0h, 000h, 000h
	DB	03Fh, 0C0h, 000h, 000h
	DB	07Fh, 0C0h, 000h, 000h
	DB	07Fh, 0C3h, 0F8h, 000h
	DB	07Fh, 0CFh, 0FFh, 000h
	DB	07Fh, 09Fh, 0FFh, 080h
	DB	07Fh, 0BFh, 0FFh, 0C0h
	DB	07Fh, 0FFh, 0FFh, 0E0h
	DB	07Fh, 0FFh, 0FFh, 0F0h
	DB	07Fh, 0FFh, 0FFh, 0F8h
	DB	07Fh, 0FFh, 0FFh, 0F8h
	DB	07Fh, 0F8h, 03Fh, 0FCh
	DB	07Fh, 0F0h, 00Fh, 0FCh
	DB	07Fh, 0E0h, 007h, 0FEh
	DB	07Fh, 0E0h, 007h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	03Fh, 0C0h, 003h, 0FEh
	DB	03Fh, 0C0h, 003h, 0FEh
	DB	03Fh, 0C0h, 003h, 0FEh
	DB	03Fh, 0C0h, 003h, 0FEh
	DB	03Fh, 0E0h, 003h, 0FEh
	DB	01Fh, 0E0h, 007h, 0FCh
	DB	01Fh, 0F0h, 00Fh, 0FCh
	DB	01Fh, 0FCh, 01Fh, 0FCh
	DB	00Fh, 0FFh, 0FFh, 0F8h
	DB	007h, 0FFh, 0FFh, 0F8h
	DB	007h, 0FFh, 0FFh, 0F0h
	DB	003h, 0FFh, 0FFh, 0E0h
	DB	001h, 0FFh, 0FFh, 0C0h
	DB	000h, 0FFh, 0FFh, 080h
	DB	000h, 03Fh, 0FEh, 000h
	DB	000h, 007h, 0F8h, 000h
	DB	000h, 000h, 000h, 000h

;; NUMERIC 7
_IMAGE_7	LABEL	BYTE
	DW	32,48
	DB	000h, 000h, 000h, 000h
	DB	000h, 000h, 000h, 000h
	DB	07Fh, 0FFh, 0FFh, 0FEh
	DB	07Fh, 0FFh, 0FFh, 0FEh
	DB	07Fh, 0FFh, 0FFh, 0FEh
	DB	07Fh, 0FFh, 0FFh, 0FEh
	DB	07Fh, 0FFh, 0FFh, 0FEh
	DB	07Fh, 0FFh, 0FFh, 0FEh
	DB	07Fh, 0FFh, 0FFh, 0FEh
	DB	07Fh, 0FFh, 0FFh, 0FEh
	DB	07Fh, 0FFh, 0FFh, 0FCh
	DB	000h, 000h, 007h, 0F8h
	DB	000h, 000h, 00Fh, 0F0h
	DB	000h, 000h, 01Fh, 0E0h
	DB	000h, 000h, 03Fh, 0E0h
	DB	000h, 000h, 03Fh, 0C0h
	DB	000h, 000h, 07Fh, 080h
	DB	000h, 000h, 0FFh, 080h
	DB	000h, 000h, 0FFh, 000h
	DB	000h, 001h, 0FFh, 000h
	DB	000h, 001h, 0FEh, 000h
	DB	000h, 003h, 0FCh, 000h
	DB	000h, 003h, 0FCh, 000h
	DB	000h, 007h, 0F8h, 000h
	DB	000h, 007h, 0F8h, 000h
	DB	000h, 00Fh, 0F8h, 000h
	DB	000h, 00Fh, 0F0h, 000h
	DB	000h, 01Fh, 0F0h, 000h
	DB	000h, 01Fh, 0E0h, 000h
	DB	000h, 01Fh, 0E0h, 000h
	DB	000h, 03Fh, 0E0h, 000h
	DB	000h, 03Fh, 0C0h, 000h
	DB	000h, 07Fh, 0C0h, 000h
	DB	000h, 07Fh, 0C0h, 000h
	DB	000h, 07Fh, 0C0h, 000h
	DB	000h, 07Fh, 080h, 000h
	DB	000h, 0FFh, 080h, 000h
	DB	000h, 0FFh, 080h, 000h
	DB	000h, 0FFh, 080h, 000h
	DB	000h, 0FFh, 080h, 000h
	DB	000h, 0FFh, 000h, 000h
	DB	001h, 0FFh, 000h, 000h
	DB	001h, 0FFh, 000h, 000h
	DB	001h, 0FFh, 000h, 000h
	DB	001h, 0FFh, 000h, 000h
	DB	001h, 0FFh, 000h, 000h
	DB	001h, 0FFh, 000h, 000h
	DB	000h, 000h, 000h, 000h

;; NUMERIC 8
_IMAGE_8	LABEL	BYTE
	DW	32,48
	DB	000h, 01Fh, 0F8h, 000h
	DB	000h, 0FFh, 0FFh, 000h
	DB	001h, 0FFh, 0FFh, 080h
	DB	007h, 0FFh, 0FFh, 0C0h
	DB	007h, 0FFh, 0FFh, 0E0h
	DB	00Fh, 0FFh, 0FFh, 0F0h
	DB	01Fh, 0FFh, 0FFh, 0F8h
	DB	01Fh, 0FCh, 03Fh, 0F8h
	DB	03Fh, 0F0h, 00Fh, 0FCh
	DB	03Fh, 0F0h, 00Fh, 0FCh
	DB	03Fh, 0E0h, 007h, 0FCh
	DB	03Fh, 0E0h, 007h, 0FCh
	DB	03Fh, 0E0h, 007h, 0FCh
	DB	03Fh, 0E0h, 007h, 0FCh
	DB	03Fh, 0E0h, 007h, 0FCh
	DB	01Fh, 0F0h, 00Fh, 0F8h
	DB	01Fh, 0F0h, 00Fh, 0F8h
	DB	00Fh, 0FCh, 03Fh, 0F0h
	DB	007h, 0FFh, 0FFh, 0E0h
	DB	003h, 0FFh, 0FFh, 0C0h
	DB	001h, 0FFh, 0FFh, 080h
	DB	000h, 0FFh, 0FFh, 000h
	DB	001h, 0FFh, 0FFh, 080h
	DB	007h, 0FFh, 0FFh, 0E0h
	DB	00Fh, 0FFh, 0FFh, 0F0h
	DB	01Fh, 0F8h, 03Fh, 0F8h
	DB	01Fh, 0F0h, 00Fh, 0F8h
	DB	03Fh, 0E0h, 007h, 0FCh
	DB	03Fh, 0E0h, 007h, 0FCh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0E0h, 007h, 0FEh
	DB	03Fh, 0E0h, 007h, 0FCh
	DB	03Fh, 0F0h, 00Fh, 0FCh
	DB	03Fh, 0FCh, 03Fh, 0FCh
	DB	01Fh, 0FFh, 0FFh, 0F8h
	DB	00Fh, 0FFh, 0FFh, 0F0h
	DB	007h, 0FFh, 0FFh, 0E0h
	DB	003h, 0FFh, 0FFh, 0C0h
	DB	001h, 0FFh, 0FFh, 080h
	DB	000h, 07Fh, 0FEh, 000h
	DB	000h, 00Fh, 0F8h, 000h
	DB	000h, 000h, 000h, 000h

;; NUMERIC 9
_IMAGE_9	LABEL	BYTE
	DW	32,48
	DB	000h, 01Fh, 0E0h, 000h
	DB	000h, 07Fh, 0FCh, 000h
	DB	001h, 0FFh, 0FFh, 000h
	DB	003h, 0FFh, 0FFh, 080h
	DB	007h, 0FFh, 0FFh, 0C0h
	DB	00Fh, 0FFh, 0FFh, 0E0h
	DB	01Fh, 0FFh, 0FFh, 0E0h
	DB	01Fh, 0FFh, 0FFh, 0F0h
	DB	03Fh, 0F8h, 03Fh, 0F8h
	DB	03Fh, 0F0h, 00Fh, 0F8h
	DB	03Fh, 0E0h, 007h, 0F8h
	DB	07Fh, 0C0h, 007h, 0FCh
	DB	07Fh, 0C0h, 003h, 0FCh
	DB	07Fh, 0C0h, 003h, 0FCh
	DB	07Fh, 0C0h, 003h, 0FCh
	DB	07Fh, 0C0h, 003h, 0FCh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0C0h, 003h, 0FEh
	DB	07Fh, 0E0h, 007h, 0FEh
	DB	07Fh, 0E0h, 007h, 0FEh
	DB	03Fh, 0F0h, 00Fh, 0FEh
	DB	03Fh, 0FCh, 01Fh, 0FEh
	DB	01Fh, 0FFh, 0FFh, 0FEh
	DB	01Fh, 0FFh, 0FFh, 0FEh
	DB	00Fh, 0FFh, 0FFh, 0FEh
	DB	007h, 0FFh, 0FFh, 0FEh
	DB	003h, 0FFh, 0FDh, 0FEh
	DB	001h, 0FFh, 0F9h, 0FEh
	DB	000h, 0FFh, 0F1h, 0FEh
	DB	000h, 01Fh, 0C3h, 0FEh
	DB	000h, 000h, 003h, 0FEh
	DB	000h, 000h, 003h, 0FCh
	DB	000h, 000h, 003h, 0FCh
	DB	000h, 000h, 003h, 0FCh
	DB	003h, 0E0h, 007h, 0FCh
	DB	03Fh, 0E0h, 007h, 0F8h
	DB	03Fh, 0F0h, 00Fh, 0F8h
	DB	01Fh, 0F0h, 00Fh, 0F8h
	DB	01Fh, 0FCh, 03Fh, 0F0h
	DB	01Fh, 0FFh, 0FFh, 0F0h
	DB	00Fh, 0FFh, 0FFh, 0E0h
	DB	00Fh, 0FFh, 0FFh, 0C0h
	DB	007h, 0FFh, 0FFh, 080h
	DB	003h, 0FFh, 0FFh, 000h
	DB	001h, 0FFh, 0FEh, 000h
	DB	000h, 0FFh, 0F8h, 000h
	DB	000h, 01Fh, 0E0h, 000h
	DB	000h, 000h, 000h, 000h

;; ':'
_IMAGE_COLON	LABEL	BYTE
	DW	16,48
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	01Fh, 0F0h
	DB	01Fh, 0F0h
	DB	01Fh, 0F0h
	DB	01Fh, 0F0h
	DB	01Fh, 0F0h
	DB	01Fh, 0F0h
	DB	01Fh, 0F0h
	DB	01Fh, 0F0h
	DB	01Fh, 0F0h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	01Fh, 0F0h
	DB	01Fh, 0F0h
	DB	01Fh, 0F0h
	DB	01Fh, 0F0h
	DB	01Fh, 0F0h
	DB	01Fh, 0F0h
	DB	01Fh, 0F0h
	DB	01Fh, 0F0h
	DB	01Fh, 0F0h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h

;; '-'
_IMAGE_MINUS	LABEL	BYTE
	DW	16,48
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	0FFh, 0FFh
	DB	0FFh, 0FFh
	DB	0FFh, 0FFh
	DB	0FFh, 0FFh
	DB	0FFh, 0FFh
	DB	0FFh, 0FFh
	DB	0FFh, 0FFh
	DB	0FFh, 0FFh
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h
	DB	000h, 000h

GRAPHICS_SEG	ENDS

END
