/* I2C BUS Control library prototypes   by M.yanagisawa */

void I2CWait(void);
void I2CStart(void);
void I2C2NDStart(void);
void I2CStop(void);
BOOL I2CSendByte(BYTE c);
void I2CSendACK(void);
void I2CSendNAK(void);
BYTE I2CRecvByte(void);
void I2CInit(void);
BOOL SendI2C(BYTE devadr,BYTE sa,BYTE dat);
BOOL SendI2CW(BYTE devadr,BYTE sa,WORD dat);
BOOL RecvI2C(BYTE devadr,BYTE sa,BYTE *dat);
BOOL RecvI2CW(BYTE devadr,BYTE sa,WORD *dat);

/* for MAS3507 , DAC3550A */
void InitDAC(void);
void SetDACMute(BOOL isCDDA,BOOL isMP3);
BOOL GetMemory(WORD addr,DWORD *data);
BOOL GetFrameNumDefault(WORD *framenum);
void SetVolume(WORD RVol,WORD LVol,BOOL isEMPH);
void DACDSPReset(void);
void SetDACVolume(WORD RVol,WORD LVol,BOOL isEMPH);
